Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I have a virtual machine I just set up. I'm running a completely fresh install of OpenSUSE (with online updates from yast). At the terminal I tried to run python:

$ python
bash: python: command not found

I tried:

$ python --version
bash: python: command not found

So then I tried:

$ zypper install python

Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: patterns-openSUSE-minimal_base-conflicts-12.3-7.10.1.x86_64 
conflicts with python provided by python-2.7.3-10.1.1x86_64

The terminal then offers two solutions, to either uninstall the minimal base conflicts business or to not install python. I don't want to uninstall anything because I don't know what it will. I suppose I could if I had a better understanding of it, but perhaps there is a problem someone else can see here?


Edit: Don't know if this will help, but I did not install any GUI on my virtual machine.

share|improve this question
2  
Perhaps python isn't in your path (that would be strange but not impossible). In my distro, the binary is installed as /usr/bin/python. To make an exhaustive search for it, you can try find -executable -name "python". –  lgeorget Apr 23 '13 at 13:54
    
Oops sorry. find / -executable -name "python". –  lgeorget Apr 23 '13 at 14:01
    
@lgeorget Thank you for your answer. my /usr/bin/ directory does not contain python. The find command does not yield anything either. –  jeff fabiny Apr 23 '13 at 14:03
    
Oh, I think I understand the problem now. In fact, python indeed isn't installed yet. The message from zypper tells you that installing would conflict with patterns-openSUSE-minimal_base-conflicts-12.3-7.10.1.x86_64 which is already installed. I'm afraid I can't help you, I'm not used to the SUSE distribution so I can't tell if you can safely uninstall patterns-openSUSE-minimal_base-conflicts-12.3-7.10.1.x86_64. –  lgeorget Apr 23 '13 at 14:08
add comment

1 Answer

Could you remove patterns-openSUSE-minimal_base-conflicts-12.3-7.10.1.x86_64 and then install python-2.7.3-10.1.1x86_64?

Note that a "better" find command might be:

$ find /  -executable -regex ".*python.*"

or

find / -executable -name 'python*'"

This should give you all instances of *bin*python* and thus you can see where it is installed. I suspect that your PATH is badly set up.

share|improve this answer
    
If find / -executable -name "python" doesn't find out anything, I'm not sure locate python will... –  lgeorget Apr 23 '13 at 14:11
1  
What about /usr/bin/python2.7? Yes, it would be a silly thing to install Python this way but I have seen it done before... –  Sardathrion Apr 23 '13 at 14:14
    
You're right! Let's find / -executable -name 'python*'" then. –  lgeorget Apr 23 '13 at 14:17
    
@lgeorget: That works ^_~ –  Sardathrion Apr 23 '13 at 14:18
1  
@jeff-fabiny. This doen't seem related to the python binary. I guess it's a script used by rpm to check or build the list of dependencies of python packages to be installed. Again, just guessing, I'm not a SUSE expert. –  lgeorget Apr 23 '13 at 14:31
show 3 more comments

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.